Page MenuHomePhabricator

API Gateway LVS Endpoint
Closed, ResolvedPublic

Description

Description
Setup LVS endpoint and monitoring for API Gateway

Done Criteria

  • Review process for adding new LVS endpoint.
  • Add new LVS for API Gateway Envoy
  • Add Icinga monitoring and health checking of LVS Endpoint

Event Timeline

WDoranWMF created this task.Jun 9 2020, 4:21 PM
WDoranWMF triaged this task as Medium priority.Jun 9 2020, 4:44 PM
hnowlan claimed this task.Jul 8 2020, 4:15 PM

Change 615512 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/puppet@production] Add discovery and disabled LVS components for API gateway

https://gerrit.wikimedia.org/r/615512

hnowlan updated the task description. (Show Details)Jul 22 2020, 4:04 PM

Change 616560 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/puppet@production] aptrepo: add component for future envoy packages

https://gerrit.wikimedia.org/r/616560

Change 616560 merged by Hnowlan:
[operations/puppet@production] aptrepo: add component for future envoy packages

https://gerrit.wikimedia.org/r/616560

Change 616121 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/deployment-charts@master] api-gateway: proxy clusters interface through Envoy

https://gerrit.wikimedia.org/r/616121

Change 616121 merged by jenkins-bot:
[operations/deployment-charts@master] api-gateway: open parts of the admin interface internally

https://gerrit.wikimedia.org/r/616121

Change 619490 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/deployment-charts@master] api-gateway: serve public traffic over TLS

https://gerrit.wikimedia.org/r/619490

Change 619499 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/dns@master] wmnet: add api-gateway records

https://gerrit.wikimedia.org/r/619499

Change 619499 merged by Hnowlan:
[operations/dns@master] wmnet: add api-gateway records

https://gerrit.wikimedia.org/r/619499

Change 615512 merged by Hnowlan:
[operations/puppet@production] Add discovery and disabled LVS components for API gateway

https://gerrit.wikimedia.org/r/615512

Change 619490 merged by jenkins-bot:
[operations/deployment-charts@master] api-gateway: serve public traffic over TLS

https://gerrit.wikimedia.org/r/619490

Change 619790 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/deployment-charts@master] api-gateway: healthcheck using HTTPS

https://gerrit.wikimedia.org/r/619790

Change 619790 merged by jenkins-bot:
[operations/deployment-charts@master] api-gateway: healthcheck using HTTPS

https://gerrit.wikimedia.org/r/619790

Change 619798 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/dns@master] api-gateway: create discovery records

https://gerrit.wikimedia.org/r/619798

Change 619800 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/puppet@production] api-gateway: change service state to lvs_setup

https://gerrit.wikimedia.org/r/619800

Change 619800 merged by Hnowlan:
[operations/puppet@production] api-gateway: change service state to lvs_setup

https://gerrit.wikimedia.org/r/619800

Mentioned in SAL (#wikimedia-operations) [2020-08-13T11:05:08Z] <hnowlan> restarting pybal on lvs1015 T254908

Mentioned in SAL (#wikimedia-operations) [2020-08-13T11:05:57Z] <hnowlan> restarting pybal on lvs1016 T254908

Mentioned in SAL (#wikimedia-operations) [2020-08-13T11:06:42Z] <hnowlan> restarting pybal on lvs2009 T254908

Mentioned in SAL (#wikimedia-operations) [2020-08-13T11:09:30Z] <hnowlan> restarting pybal on lvs2010 T254908

Change 619996 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/puppet@production] kubernetes: add api-gateway to LVS pools

https://gerrit.wikimedia.org/r/619996

Change 619997 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] api-gateway: Add LVS IP on kubernetes hosts

https://gerrit.wikimedia.org/r/619997

Change 619996 abandoned by Vgutierrez:
[operations/puppet@production] kubernetes: add api-gateway to LVS pools

Reason:
Dup I8ef8971e5045c10722ea0adcd05f16b9e45458f3

https://gerrit.wikimedia.org/r/619996

Change 619996 restored by Vgutierrez:
[operations/puppet@production] kubernetes: add api-gateway to LVS pools

https://gerrit.wikimedia.org/r/619996

Change 619996 merged by Hnowlan:
[operations/puppet@production] kubernetes: add api-gateway to LVS pools

https://gerrit.wikimedia.org/r/619996

Change 619997 abandoned by Vgutierrez:
[operations/puppet@production] api-gateway: Add LVS IP on kubernetes hosts

Reason:
dup I8ef8971e5045c10722ea0adcd05f16b9e45458f3

https://gerrit.wikimedia.org/r/619997

Change 620004 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/puppet@production] api-gateway: enable monitoring setup for service

https://gerrit.wikimedia.org/r/620004

Change 620004 merged by Hnowlan:
[operations/puppet@production] api-gateway: enable monitoring setup for service

https://gerrit.wikimedia.org/r/620004

Change 620019 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/puppet@production] api-gateway: move to production

https://gerrit.wikimedia.org/r/620019

Change 620023 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/puppet@production] api-gateway: Fix healthcheck path

https://gerrit.wikimedia.org/r/620023

Change 620023 merged by Hnowlan:
[operations/puppet@production] api-gateway: Fix healthcheck path

https://gerrit.wikimedia.org/r/620023

Change 620019 merged by Hnowlan:
[operations/puppet@production] api-gateway: move to production

https://gerrit.wikimedia.org/r/620019

Change 620067 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/puppet@production] trafficserver: route api.wikimedia.org to api-gateway service

https://gerrit.wikimedia.org/r/620067

Change 619798 merged by Hnowlan:
[operations/dns@master] api-gateway: create discovery records

https://gerrit.wikimedia.org/r/619798

Change 620067 merged by Hnowlan:
[operations/puppet@production] trafficserver: route api.wikimedia.org to api-gateway service

https://gerrit.wikimedia.org/r/620067

Change 620090 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/puppet@production] cache: fix naming of api.wikimedia.org

https://gerrit.wikimedia.org/r/620090

Change 620090 merged by Hnowlan:
[operations/puppet@production] cache: fix naming of api.wikimedia.org

https://gerrit.wikimedia.org/r/620090

hnowlan closed this task as Resolved.Aug 14 2020, 9:47 AM
hnowlan updated the task description. (Show Details)
Naike reopened this task as Open.Sep 5 2020, 2:03 PM
Naike moved this task from Doing to Done on the Platform Team Workboards (Green) board.
eprodromou closed this task as Resolved.Sep 16 2020, 2:58 PM